import request from '@/service/index.js'

export const ServeGetUserSetting = (data) => {
  return request({
    url: '/api/v1/users/setting',
    method: 'GET',
    data,
  })
}

export const userInfoApi = (data) => {
  return request({
    url: '/api/v1/users/erp/info',
    method: 'POST',
    data,
  })
}

export const userLeaderApi = (data) => {
  return request({
    url: '/oa/user/other-info',
    method: 'POST',
    data,
    baseURL:import.meta.env.VITE_EPR_BASEURL,
  })
}

//点击头像查看用户详情
export const getUserInfoByClickAvatar = (data) => {
  return request({
    url: '/api/v1/users/info',
    method: 'POST',
    data,
  })
}
